Package ru.bitel.bgbilling.kernel.event.events

# Class ContractTariffUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractTariffUpdateEvent

All Implemented Interfaces:
  `Serializable`

public class ContractTariffUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - изменение тарифа договора.
Вызывается по факту добавления или изменения тарифного плана договора.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractTariffUpdateEvent()`
  ``
  `ContractTariffUpdateEvent(int userId, int contractId, ContractTariff contractTariff, boolean isAddTariff)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractTariff`
  `getContractTariff()`
  Возвращает добавленный/измененный тариф договора
  `boolean`
  `isAddTariff()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffUpdateEvent

    protected ContractTariffUpdateEvent()

  - ### ContractTariffUpdateEvent

    public ContractTariffUpdateEvent(int userId, int contractId, ContractTariff contractTariff, boolean isAddTariff)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `contractId` - - код договора
      `contractTariff` - - добавленный/измененный тариф договора

- ## Method Details

  - ### getContractTariff

    public ContractTariff getContractTariff()
    Возвращает добавленный/измененный тариф договора
    Returns:
      contractTariff - тарифный план договора

  - ### isAddTariff

    public boolean isAddTariff()
    Returns:
      - true, если тариф был добавлен, false - он был изменен.